import { r as registerInstance, h } from './index-26447f8a.js';

const modalEblastCss = "";

const ModalEblast = class {
  constructor(hostRef) {
    registerInstance(this, hostRef);
    this.src = undefined;
  }
  async closeModal() {
    const modal = document.querySelector("ion-modal");
    if (modal) {
      modal.dismiss();
    }
  }
  async save() {
    const modal = document.querySelector("ion-modal");
    if (modal) {
      modal.dismiss();
    }
  }
  render() {
    return [
      h("ion-header", null, h("ion-toolbar", { color: "dark" }, h("ion-buttons", { slot: "start" }, h("ion-button", { fill: "clear", color: "light" }, h("ion-icon", { slot: "icon-only", name: "create" }))), h("ion-title", null, "Send Eblast"), h("ion-buttons", { slot: "end" }, h("ion-button", { onClick: () => this.closeModal(), fill: "clear", color: "primary" }, "Cancel")))),
      h("ion-content", null, h("floodteam-eblast-flow", null)),
    ];
  }
};
ModalEblast.style = modalEblastCss;

export { ModalEblast as floodteam_modal_eblast };
